tecman
  •  tecman
  • 100% (Exalted)
  • YAF All-the-Time Topic Starter
2020-01-30T07:33:07Z
We have a forum running on YAF 2.24.20. It is used as support portal for our customers. We are going to upgrade to the YAF 2.3 but would like to test it with the existing contents. Is it possible to install YAF 2.3 as a separate application and attach it to the existing v2.2 SQL database so that both forum instances will coexist without affecting each other?
Sponsor
tha_watcha
2020-01-30T09:40:57Z
No you can't use the same database. You would need to clone the database and run it as different database.
UserPostedImage
tecman
  •  tecman
  • 100% (Exalted)
  • YAF All-the-Time Topic Starter
2020-01-30T13:36:07Z
Ok. Then what is the right way to upgrade the existing database used with the v2.2 to use it with the v2.3? If I deploy the v2.3 and attach it to the clone of the v2.2 database, then open the install page - will it upgrade the database automatically?
tha_watcha
2020-01-30T14:38:15Z
Originally Posted by: tecman 

Ok. Then what is the right way to upgrade the existing database used with the v2.2 to use it with the v2.3? If I deploy the v2.3 and attach it to the clone of the v2.2 database, then open the install page - will it upgrade the database automatically?



Yes of course the upgrade wizard will update the db

UserPostedImage

About Us

The YAF.NET is an open source .NET forum project. YAF.NET is supported by an team of international developers who are build community by building community software.

Powered by Resharper Donate with PayPal button

Project Twitter Updates

Copyright © YetAnotherForum.NET & Ingo Herbote. All rights reserved